CREATE TABLE binary_dependencies (
    id         UUID PRIMARY KEY,
    binary_id  UUID NOT NULL REFERENCES binaries (id) ON DELETE CASCADE,
    filename   VARCHAR(255) NOT NULL,
    file_size  BIGINT NOT NULL,
    file_path  VARCHAR(500) NOT NULL,
    created_at TIMESTAMP WITH TIME ZONE NOT NULL
);

CREATE INDEX idx_binary_dependencies_binary_id ON binary_dependencies (binary_id);
